<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Capitulo_3</title>
</head>
<body>
    <h1>Capitulo 5</h1>
    <a>Ejercicio 2</a>

    <script>

        const imprimirEnBinario = (num) => {
            if (num >= 1 || num <= 0) {
                return "ERROR";
            }

            let binario = "",
                fracion = 0.5;
                binario += ".";

            while (num > 0) {
                if (binario.length >= 32) {
                    return "ERROR";
                }

                if (num >= fracion) {
                    binario += "1";
                    num -= fracion;
                } else {
                    binario += "0";
                    fracion = fracion / 2;
                }
            }
            return binario;
        }

        let num1 = 0.625;
        let salida = imprimirEnBinario(num1);
        console.log(`${num1} en binario es: (0${salida})`);

        let num2 = 0.72;
          salida = imprimirEnBinario(num2);
        console.log(`${num2} en binario es: (0${salida})`);
    
        
    </script>
    
</body>
</html>